program LockInRemote;

uses
  Forms,
  Auth in 'Auth.pas' {AuthForm},
  SpeedTest in 'SpeedTest.pas' {SpeedTestForm},
  AutoRefresh in 'AutoRefresh.pas',
  LockInMain in 'LockInMain.pas' {MainForm},
  Log in 'Log.pas' {LogForm},
  About in 'About.pas' {AboutBox};

{$R *.res}

begin
  Application.Initialize;
  Application.Title := 'LockInRemote';
  Application.CreateForm(TMainForm, MainForm);
  Application.CreateForm(TAutoRefreshForm, AutoRefreshForm);
  Application.CreateForm(TLogForm, LogForm);
  Application.CreateForm(TAboutBox, AboutBox);
  Application.CreateForm(TAuthForm, AuthForm);

  Application.ProcessMessages;
  if LockInIni.ReadBool('GUI','AutoLogin',False)=True then
    AuthForm.ConnectButtonClick(Application);

  Application.Run;
end.
