unit Net;

interface

uses    IniFiles, ScktComp;

var //LockinSocket : TClientSocket;
    IniFile : TIniFile;


procedure GetNetData (S2Net : String; var Net2S : String);
function GetDataLia : real;

implementation

uses
  SysUtils,
  Classes,
  Dialogs,
  Types,
  Windows,
  WinSvc,
  Math,
  Form;
  //ScktComp;

//    Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
//  Dialogs, StdCtrls, ScktComp  DecimalSeparator:='.';

const CRLF = #13#10;

//var // LockinSocket : TClientSocket;
    //IniFile : TIniFile;

procedure GetNetData (S2Net : String; var Net2S : String);
const
  TimeOut=1000;
  BufLen=1000;
  BlockTimeOut = 1000;
var
  Buffer: array[0..Pred(BufLen)] of Byte;
  StrStream: TStringStream;
  WSockStream: TWinSocketStream;
  iRead : longint;
begin
  StrStream:=TStringStream.Create(S2Net);
  StrStream.Read(Buffer,Length(StrStream.DataString));
  WSockStream:=TWinSocketStream.Create(Form1.LockinSocket.Socket,TimeOut);
  Form1.LockinSocket.Open;
  WSockStream.Write(Buffer,Length(StrStream.DataString));

  StrStream.Size:=0;
  StrStream.Position:=0;
  repeat
    iRead:=0;
    if WSockStream.WaitForData(BlockTimeOut) then iRead:=WSockStream.Read(Buffer,BufLen);
    StrStream.Write(Buffer,iRead);
  until (iRead=0) or not Form1.LockinSocket.Active;

  Form1.LockinSocket.Close;
  WSockStream.Free;

  Net2S :=StrStream.DataString;
  StrStream.Free;
end;

function GetDataLia : real;
var StoNet, NetToS, S : string;
begin
//'GET /cgi-bin/remote.cgi?'+CmdStr+' HTTP/1.0'+CRLF+CRLF);
  StoNet:='GET /data/lia.dat HTTP/1.0'+CRLF+CRLF;
  GetNetData (StoNet, NettoS);
  S:=Copy(NettoS, Pos(CRLF+CRLF,NettoS)+4,Length(NettoS)); // trim left side
  S:=Copy(S,1,Pos(#13,S)-1);


  Result:=StrToFloat(S);
end;


end.
