import requests 
import time

delay = 0.1
IP = '192.168.1.7'


def login():
    url = ('http://'+IP+'/cgi-bin/login.cgi?username=long&password=nga')
    r = requests.get(url)


def setUac(Uac):
    query = '8D9_' + str(Uac) + '_'
    url = ('http://192.168.1.7/cgi-bin/remote.cgi?'+query)
    r = requests.get(url)
    time.sleep(delay)

    
def setFrequency(f):
    query = '8DD_' + string(f) + '_'
    url = ('http://'+IP+'/cgi-bin/remote.cgi?'+query)
    r = requests.get(url)
    time.sleep(delay)


def setInputRange(RangeInV):
    query = '899_' + str(RangeInV) + '_'
    url = ('http://'+IP+'/cgi-bin/remote.cgi?'+query)
    r = requests.get(url)
    time.sleep(delay)


def setCouplingType(i):
    query = '89D_' + str(i) + '_'
    url = ('http://192.168.1.7/cgi-bin/remote.cgi?'+query)
    r = requests.get(url)
    time.sleep(delay)


def setTimeConst(i):
    query = '8959_' + str(i) + '_'
    url = ('http://'+IP+'/cgi-bin/remote.cgi?'+query)
    r = requests.get(url)
    time.sleep(delay)


def setSyncFilterSettings(val):
    query = '895D_' + str(i) + '_'
    url = ('http://'+IP+'/cgi-bin/remote.cgi?'+query)
    r = requests.get(url)
    time.sleep(delay)
    

def setRollOff(dB):
    query = '891_' + str(i) + '_'
    url = ('http://'+IP+'/cgi-bin/remote.cgi?'+query)
    r = requests.get(url)
    time.sleep(delay)
    

def setInputConfig(i):
    query = '89A_' + str(i) + '_'
    url = ('http://'+IP+'/cgi-bin/remote.cgi?'+query)
    r = requests.get(url)
    time.sleep(delay)
    

def setOffsetPhaseLIA1(Offset):
    query = '8D59_' + str(Offset) + '_'
    url = ('http://'+IP+'/cgi-bin/remote.cgi?'+query)
    r = requests.get(url)
    time.sleep(delay)


def setOffsetPhaseLIA2(Offset):
    query = '8D5D_' + str(Offset) + '_'
    url = ('http://'+IP+'/cgi-bin/remote.cgi?'+query)
    r = requests.get(url)
    time.sleep(delay)


def setHarmonic(i):
    query = '8D1_' + str(i) + '_'
    url = ('http://'+IP+'/cgi-bin/remote.cgi?'+query)
    r = requests.get(url)
    time.sleep(delay)
    

def setReferenceInputCoupling(i):
    query = '8DA_' + str(i) + '_'
    url = ('http://'+IP+'/cgi-bin/remote.cgi?'+query)
    r = requests.get(url)
    time.sleep(delay)
    

def selectDisplayChannel(channel, i):
    query = '859_' + str(channel) + '_5_' + str(i) + '_' 
    url = ('http://'+IP+'/cgi-bin/remote.cgi?'+query)
    r = requests.get(url)
    time.sleep(delay)
    

def selectDisplayRange(channel, i):
    query = '859_' + str(channel) + '_1_' + str(i) + '_' 
    url = ('http://'+IP+'/cgi-bin/remote.cgi?'+query)
    r = requests.get(url)
    time.sleep(delay)



def setOutputVoltages(DAchannel, i):
    query = '819_' + str(DAchannel) + '_5_' + str(i) + '_' 
    url = ('http://'+IP+'/cgi-bin/remote.cgi?'+query)
    r = requests.get(url)
    time.sleep(delay)


def runSpectra():
    query = 'C9_'  
    url = ('http://'+IP+'/cgi-bin/remote.cgi?'+query)
    r = requests.get(url)
    time.sleep(delay)


def selectAxisSpectra(i):
    query = 'CD9_' + str(i) + '_'
    url = ('http://'+IP+'/cgi-bin/remote.cgi?'+query)
    r = requests.get(url)
    time.sleep(delay)


def logarithmicSpectra(i):
    query = 'CD9_0_D_' + str(i) + '_'
    url = ('http://'+IP+'/cgi-bin/remote.cgi?'+query)
    r = requests.get(url)
    time.sleep(delay)


def changeSpectraColor(channel, color):
    query = 'CD9_' + str(channel) + '_5_' + str(color) + '_'
    url = ('http://'+IP+'/cgi-bin/remote.cgi?'+query)
    r = requests.get(url)
    time.sleep(delay)


def setVerticalOffsetSpectra(channel, Offset):
    query = 'CD9_' + str(channel) + '_1_' + str(Offset) + '_'
    url = ('http://'+IP+'/cgi-bin/remote.cgi?'+query)
    r = requests.get(url)
    time.sleep(delay)


def setSpectraPara(TT, F1, F2, PP, DD):
    query = ('C59_' + str(TT) + '_D_' + str(F1) + '_5_'
          + str(F2) + '_1_' + str(PP) + '_A_' + str (DD) + '_')
    url = ('http://'+IP+'/cgi-bin/remote.cgi?'+query)
    r = requests.get(url)
    time.sleep(delay)
    

def setOsciDisplaySettings(channel, Scale, Color, Offset):
    query = ('4D9_' + str(channel) + '_D_' + str(Scale) + '_5_'
          + str(Color) + '_1_' + str(Offset) + '_')
    url = ('http://'+IP+'/cgi-bin/remote.cgi?'+query)
    r = requests.get(url)
    time.sleep(delay)
    
 

 # -- Get Data -- #

def getDataLIA():
    url = ('http://'+IP+'/data/lia.dat');
    r = requests.get(url)
    data_raw = r.text.replace(" ", "")  # leerzeichen entfernen
    data = data_raw.split("\r\n")
    for i in range(0, 4):
      data[i] = float(data[i])
    return data

    
def getDataSpectra():
    url = ('http://'+IP+'/data/spectra.dat');
    r = requests.get(url)
    data_raw = r.text
    spectra_data = data_raw.splitlines()

    # erste Zeile ignorieren!
    for i in range(1, len(spectra_data)):   # alle Zeilen des Files
        spectra_data[i] = spectra_data[i].split("\t")

    return spectra_data
    
  
