import requests 
import time

delay = 0.1
IP = '192.168.1.7'


def login():
    url = ('http://'+IP+'/cgi-bin/login.cgi?username=long&password=nga')
    r = requests.get(url)


def setUac(Uac):
    query = 'A21_' + str(Uac) + '_'
    url = ('http://'+IP+'/cgi-bin/remote2.cgi?'+query)
    r = requests.get(url)
    time.sleep(delay)

    
def setFrequency(f):
    query = 'A22_' + str(f) + '_' 
    url = ('http://'+IP+'/cgi-bin/remote2.cgi?'+query)
    r = requests.get(url)
    time.sleep(delay)


def setInputRange(RangeInV):
    query = 'A11_' + str(RangeInV) + '_' 
    url = ('http://'+IP+'/cgi-bin/remote2.cgi?'+query)
    r = requests.get(url)
    time.sleep(delay)


def setCouplingType(i):
    query = 'A12_' + str(i) + '_' 
    url = ('http://'+IP+'/cgi-bin/remote2.cgi?'+query)
    r = requests.get(url)
    time.sleep(delay)


def setTimeConst(i):
    query = 'A131_' + str(i) + '_' 
    url = ('http://'+IP+'/cgi-bin/remote2.cgi?'+query)
    r = requests.get(url)
    time.sleep(delay)


def setSyncFilterSettings(val):
    query = 'A132_' + str(val) + '_' 
    url = ('http://'+IP+'/cgi-bin/remote2.cgi?'+query)
    r = requests.get(url)
    time.sleep(delay)
    

def setRollOff(dB):
    query = 'A14_' + str(dB) + '_' 
    url = ('http://'+IP+'/cgi-bin/remote2.cgi?'+query)
    r = requests.get(url)
    time.sleep(delay)
    

def setInputConfig(i):
    query = 'A15_' + str(i) + '_' 
    url = ('http://'+IP+'/cgi-bin/remote2.cgi?'+query)
    r = requests.get(url)
    time.sleep(delay)
    

def setOffsetPhaseLIA1(Offset):
    query = 'A231_' + str(Offset) + '_' 
    url = ('http://'+IP+'/cgi-bin/remote2.cgi?'+query)
    r = requests.get(url)
    time.sleep(delay)


def setOffsetPhaseLIA2(Offset):
    query = 'A232_' + str(Offset) + '_' 
    url = ('http://'+IP+'/cgi-bin/remote2.cgi?'+query)
    r = requests.get(url)
    time.sleep(delay)


def setHarmonic(i):
    query = 'A24_' + str(i) + '_' 
    url = ('http://'+IP+'/cgi-bin/remote2.cgi?'+query)
    r = requests.get(url)
    time.sleep(delay)
    

def setReferenceInputCoupling(i):
    query = 'A25_' + str(i) + '_' 
    url = ('http://'+IP+'/cgi-bin/remote2.cgi?'+query)
    r = requests.get(url)
    time.sleep(delay)
    

def selectDisplayChannel(channel, i):
    query = 'A31_' + str(channel) + '_3_' + str(i) + '_' 
    url = ('http://'+IP+'/cgi-bin/remote2.cgi?'+query)
    r = requests.get(url)
    time.sleep(delay)
    

def selectDisplayRange(channel, i):
    query = 'A31_' + str(channel) + '_4_' + str(i) + '_' 
    url = ('http://'+IP+'/cgi-bin/remote2.cgi?'+query)
    r = requests.get(url)
    time.sleep(delay)


def setOutputVoltages(DAchannel, i):
    query = 'A41_' + str(DAchannel) + '_3_' + str(i) + '_' 
    url = ('http://'+IP+'/cgi-bin/remote2.cgi?'+query)
    r = requests.get(url)
    time.sleep(delay)


def runSpectra():
    query = 'B1_'
    url = ('http://'+IP+'/cgi-bin/remote2.cgi?'+query)
    r = requests.get(url)
    time.sleep(delay)


def selectAxisSpectra(i):
    query = 'B21_' + str(i) + '_'
    url = ('http://'+IP+'/cgi-bin/remote2.cgi?'+query)
    r = requests.get(url)
    time.sleep(delay)


def logarithmicSpectra(i):
    query = 'B21_E_2_' + str(i) + '_'
    url = ('http://'+IP+'/cgi-bin/remote2.cgi?'+query)
    r = requests.get(url)
    time.sleep(delay)


def changeSpectraColor(channel, color):
    query = 'B21_' + str(channel) + '_3_' + str(color) + '_'
    url = ('http://'+IP+'/cgi-bin/remote2.cgi?'+query)
    r = requests.get(url)
    time.sleep(delay)


def setVerticalOffsetSpectra(channel, Offset):
    query = 'B21_' + str(channel) + '_4_' + str(Offset) + '_'
    url = ('http://'+IP+'/cgi-bin/remote2.cgi?'+query)
    r = requests.get(url)
    time.sleep(delay)


def setSpectraPara(TT, F1, F2, PP, DD):
    query = ('B31_' + str(TT) + '_F_' + str(F1) + '_3_'
          + str(F2) + '_4_' + str(PP) + '_5_' + str (DD) + '_')
    url = ('http://'+IP+'/cgi-bin/remote2.cgi?'+query)
    r = requests.get(url)
    time.sleep(delay)
    

def setOsciDisplaySettings(channel, Scale, Color, Offset):
    query = ('C21_' + str(channel) + '_2_' + str(Scale) + '_3_'
          + str(Color) + '_4_' + str(Offset) + '_')
    url = ('http://'+IP+'/cgi-bin/remote2.cgi?'+query)
    r = requests.get(url)
    time.sleep(delay)
    
 

 # -- Get Data -- #

def getDataLIA():
    url = ('http://'+IP+'/data/lia.dat');
    r = requests.get(url)
    data_raw = r.text.replace(" ", "")  # leerzeichen entfernen
    data = data_raw.split("\r\n")
    for i in range(0, 4):
      data[i] = float(data[i])
      #print(data[i])
    return data

    
def getDataSpectra():
    url = ('http://'+IP+'/data/spectra.dat');
    r = requests.get(url)
    data_raw = r.text
    spectra_data = data_raw.splitlines()

    # erste Zeile ignorieren!
    for i in range(1, len(spectra_data)):   # alle Zeilen des Files
        spectra_data[i] = spectra_data[i].split("\t")

    return spectra_data
    
  
